summaryrefslogtreecommitdiff
path: root/kernel/xpp/utils/xpp_fxloader
diff options
context:
space:
mode:
authortzafrir <tzafrir@5390a7c7-147a-4af0-8ec9-7488f05a26cb>2008-08-04 15:52:49 +0000
committertzafrir <tzafrir@5390a7c7-147a-4af0-8ec9-7488f05a26cb>2008-08-04 15:52:49 +0000
commit64f72ae8855f0eb7985a1b4b09c0eda769d739c8 (patch)
tree87de502479311b224f6c52bca5f3128f7504768d /kernel/xpp/utils/xpp_fxloader
parenteeff62d36576880696ca8c64e415a13ca7437386 (diff)
Merged revisions 4451-4455 via svnmerge from
http://svn.digium.com/svn/zaptel/branches/1.2 ........ r4451 | tzafrir | 2008-08-04 18:11:01 +0300 (Mon, 04 Aug 2008) | 9 lines Firmware update: 5959 (DTMF and BRI ID) (From DAHDI rev. 4695) * Fix some cases of double digits. * Fix some rare cases of a BRI unit providing incorrect directionality. * Extra debugging code in card_fxs.c to trace future DTMF issues. * Properly note DAHDI (as opposed to Zaptel) ioctls. ........ r4452 | tzafrir | 2008-08-04 18:36:19 +0300 (Mon, 04 Aug 2008) | 2 lines Make it formally bashism. ........ r4453 | tzafrir | 2008-08-04 18:38:10 +0300 (Mon, 04 Aug 2008) | 2 lines Kbuild: A more robust check for the bri_dchan patch. ........ r4454 | tzafrir | 2008-08-04 18:39:01 +0300 (Mon, 04 Aug 2008) | 2 lines Minor BRI initlization improvements. ........ r4455 | tzafrir | 2008-08-04 18:43:32 +0300 (Mon, 04 Aug 2008) | 7 lines Add channel alarms in Zaptel-perl and lszaptel specifically. * Zaptel::Chans now provides a method alarms() for a list (or number of) alarms. * lszaptel uses it for a more correct display of channel status. * Also update PCI hardware list. ........ git-svn-id: http://svn.digium.com/svn/zaptel/branches/1.4@4456 5390a7c7-147a-4af0-8ec9-7488f05a26cb
Diffstat (limited to 'kernel/xpp/utils/xpp_fxloader')
-rw-r--r--kernel/xpp/utils/xpp_fxloader13
1 files changed, 4 insertions, 9 deletions
diff --git a/kernel/xpp/utils/xpp_fxloader b/kernel/xpp/utils/xpp_fxloader
index 5a26560..925ee97 100644
--- a/kernel/xpp/utils/xpp_fxloader
+++ b/kernel/xpp/utils/xpp_fxloader
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# xpp_fxloader: load Xorcom Astribank (XPP) firmware
#
@@ -56,8 +56,6 @@ me=`basename $0`
DEBIAN_DEFAULTS="/etc/default/zaptel"
REDHAT_DEFAULTS="/etc/sysconfig/zaptel"
-status_fd=3
-
if [ -r "$DEBIAN_DEFAULTS" -a -r "$REDHAT_DEFAULTS" ]; then
echo 1>&2 "$0: Both '$DEBIAN_DEFAULTS' and '$REDHAT_DEFAULTS' exist"
exit 1
@@ -145,12 +143,9 @@ load_fpga() {
$LOGGER "FPGA Firmware into $dev"
sleep_if_race
- (
- $FPGA_LOAD -D "$dev" -I "$FIRMWARE_DIR/$fw" -i
- echo $? >$status_fd
- )>| $LOGGER
- status=`cat <$status_fd`
- if [ "$status" != 0 ]; then
+ $FPGA_LOAD -D "$dev" -I "$FIRMWARE_DIR/$fw" -i | $LOGGER
+ status=$PIPESTATUS
+ if [ $status != 0 ]; then
echo "fpga_load failed with status $status" | $LOGGER
exit 77
fi